Update a manufacturing order operation row

Updates the specified manufacturing order operation row by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Only completed_by_operators and total_actual_time can be updated when the manufacturing order status is DONE

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

manufacturing order operation id

Body Params

manufacturing order details

number

If operation ID is used to map the operation, then operation_name is ignored.

string

If operation name is used to map the operation then we match to the existing operations by name. If a match is not found, a new one is created.

string
enum

Different operation types allows you to use different cost calculations depending on the type of product operation
Process: The process operation type is best for when products are individually built and time is the main driver of cost.
Setup: The setup operation type is best for setting up a machine for production where the production quantity doesn't affect cost.
Per unit: The per unit operation type is best when cost of time isn't a factor, but only the quantity of product made.
Fixed cost: The fixed cost operation type is useful for adding the expected extra costs that go into producing a product.

Allowed:
number

If resource ID is used to map the resource, then resource_name is ignored.

string

If resource name is used to map the resource then we match to the existing resources by name. If a match is not found, a new one is created.

number
≤ 10000000000000000

The planned duration of an operation, in seconds, to either manufacture one unit of a product or complete a manufacturing order (based on type).

number
≤ 10000000000000000
deprecated

(This field is deprecated in favor of planned_time_parameter) The planned duration of an operation, in seconds, to either manufacture one unit of a product or complete a manufacturing order (based on type)

number
≤ 10000000000000000
number

The expected cost of an operation, either total or per hour/unit of product (based on type).
Total cost of the operation on a manufacturing order is calculated as follows:
process: cost = cost_parameter x planned_time_parameter (in hours) x product quantity
setup: cost = cost_parameter x planned_time_parameter (in hours)
perUnit: cost = cost_parameter x product quantity
fixed: cost = cost_parameter

number
deprecated

(This field is deprecated in favor of cost_parameter) The expected cost of an operation, either total or per hour/unit of product (based on type).
Total cost of the operation on a manufacturing order is calculated as follows:
process: cost = cost_parameter x planned_time_parameter (in hours) x product quantity
setup: cost = cost_parameter x planned_time_parameter (in hours)
perUnit: cost = cost_parameter x product quantity
fixed: cost = cost_parameter

string
enum
required
Allowed:
assigned_operators
array of objects
assigned_operators
completed_by_operators
array of objects
completed_by_operators
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json